Changeset 1252


Ignore:
Timestamp:
Mar 31, 2009 5:34:31 PM (11 years ago)
Author:
stefan
Message:

upgrade to use Glpk 4.37

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1235 r1252  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.36.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.37.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.36.tar.gz
    21 tar xf glpk-4.36.tar
     20gunzip glpk-4.37.tar.gz
     21tar xf glpk-4.37.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.36
     24  glpk-4.37
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1235 r1252  
    3838$(GLPKDIR)/src/glpapi19.c \
    3939$(GLPKDIR)/src/glpapi20.c \
     40$(GLPKDIR)/src/glpapi21.c \
    4041$(GLPKDIR)/src/glpavl.c \
    4142$(GLPKDIR)/src/glpbfd.c \
     
    5859$(GLPKDIR)/src/glpios08.c \
    5960$(GLPKDIR)/src/glpios09.c \
     61$(GLPKDIR)/src/glpios10.c \
    6062$(GLPKDIR)/src/glpipm.c \
    6163$(GLPKDIR)/src/glpipp01.c \
     
    8183$(GLPKDIR)/src/glplpx04.c \
    8284$(GLPKDIR)/src/glplpx05.c \
    83 $(GLPKDIR)/src/glplpx06.c \
    84 $(GLPKDIR)/src/glplpx07.c \
    85 $(GLPKDIR)/src/glplpx08.c \
    86 $(GLPKDIR)/src/glplpx09.c \
    8785$(GLPKDIR)/src/glpluf.c \
    8886$(GLPKDIR)/src/glplux.c \
     
    103101$(GLPKDIR)/src/glpnet06.c \
    104102$(GLPKDIR)/src/glpnet07.c \
    105 $(GLPKDIR)/src/glppds.c \
    106103$(GLPKDIR)/src/glpqmd.c \
    107104$(GLPKDIR)/src/glprgr.c \
     
    111108$(GLPKDIR)/src/glpscg.c \
    112109$(GLPKDIR)/src/glpscl.c \
     110$(GLPKDIR)/src/glpsds.c \
    113111$(GLPKDIR)/src/glpspm.c \
    114112$(GLPKDIR)/src/glpspx01.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1235 r1252  
    7676        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7777        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    78         glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
    79         glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
    80         glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
    81         glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
    82         glpios09.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
    83         glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
    84         glplib07.lo glplib08.lo glplib09.lo glplib10.lo glplib11.lo \
    85         glplib12.lo glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo \
    86         glplpx02.lo glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo \
    87         glplpx07.lo glplpx08.lo glplpx09.lo glpluf.lo glplux.lo \
    88         glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo \
    89         glpmpl05.lo glpmpl06.lo glpmps01.lo glpmps02.lo glpnet01.lo \
    90         glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo glpnet06.lo \
    91         glpnet07.lo glppds.lo glpqmd.lo glprgr.lo glprng01.lo \
    92         glprng02.lo glpscf.lo glpscg.lo glpscl.lo glpspm.lo \
    93         glpspx01.lo glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo
     78        glpapi19.lo glpapi20.lo glpapi21.lo glpavl.lo glpbfd.lo \
     79        glpbfx.lo glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo \
     80        glphbm.lo glpini01.lo glpini02.lo glpios01.lo glpios02.lo \
     81        glpios03.lo glpios04.lo glpios05.lo glpios06.lo glpios07.lo \
     82        glpios08.lo glpios09.lo glpios10.lo glpipm.lo glpipp01.lo \
     83        glpipp02.lo glplib01.lo glplib02.lo glplib03.lo glplib04.lo \
     84        glplib05.lo glplib06.lo glplib07.lo glplib08.lo glplib09.lo \
     85        glplib10.lo glplib11.lo glplib12.lo glplpf.lo glplpp01.lo \
     86        glplpp02.lo glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo \
     87        glplpx05.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
     88        glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo \
     89        glpmps01.lo glpmps02.lo glpnet01.lo glpnet02.lo glpnet03.lo \
     90        glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpqmd.lo \
     91        glprgr.lo glprng01.lo glprng02.lo glpscf.lo glpscg.lo \
     92        glpscl.lo glpsds.lo glpspm.lo glpspx01.lo glpspx02.lo \
     93        glpsql.lo glpssx01.lo glpssx02.lo
    9494libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9595@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    279279$(GLPKDIR)/src/glpapi19.c \
    280280$(GLPKDIR)/src/glpapi20.c \
     281$(GLPKDIR)/src/glpapi21.c \
    281282$(GLPKDIR)/src/glpavl.c \
    282283$(GLPKDIR)/src/glpbfd.c \
     
    299300$(GLPKDIR)/src/glpios08.c \
    300301$(GLPKDIR)/src/glpios09.c \
     302$(GLPKDIR)/src/glpios10.c \
    301303$(GLPKDIR)/src/glpipm.c \
    302304$(GLPKDIR)/src/glpipp01.c \
     
    322324$(GLPKDIR)/src/glplpx04.c \
    323325$(GLPKDIR)/src/glplpx05.c \
    324 $(GLPKDIR)/src/glplpx06.c \
    325 $(GLPKDIR)/src/glplpx07.c \
    326 $(GLPKDIR)/src/glplpx08.c \
    327 $(GLPKDIR)/src/glplpx09.c \
    328326$(GLPKDIR)/src/glpluf.c \
    329327$(GLPKDIR)/src/glplux.c \
     
    344342$(GLPKDIR)/src/glpnet06.c \
    345343$(GLPKDIR)/src/glpnet07.c \
    346 $(GLPKDIR)/src/glppds.c \
    347344$(GLPKDIR)/src/glpqmd.c \
    348345$(GLPKDIR)/src/glprgr.c \
     
    352349$(GLPKDIR)/src/glpscg.c \
    353350$(GLPKDIR)/src/glpscl.c \
     351$(GLPKDIR)/src/glpsds.c \
    354352$(GLPKDIR)/src/glpspm.c \
    355353$(GLPKDIR)/src/glpspx01.c \
     
    447445@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
    448446@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
     447@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi21.Plo@am__quote@
    449448@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    450449@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    467466@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios08.Plo@am__quote@
    468467@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios09.Plo@am__quote@
     468@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios10.Plo@am__quote@
    469469@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipm.Plo@am__quote@
    470470@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipp01.Plo@am__quote@
     
    490490@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx04.Plo@am__quote@
    491491@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx05.Plo@am__quote@
    492 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx06.Plo@am__quote@
    493 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx07.Plo@am__quote@
    494 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx08.Plo@am__quote@
    495 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx09.Plo@am__quote@
    496492@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    497493@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    512508@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet06.Plo@am__quote@
    513509@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
    514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glppds.Plo@am__quote@
    515510@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    516511@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    520515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscg.Plo@am__quote@
    521516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscl.Plo@am__quote@
     517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsds.Plo@am__quote@
    522518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspm.Plo@am__quote@
    523519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx01.Plo@am__quote@
     
    688684@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
    689685
     686glpapi21.lo: $(GLPKDIR)/src/glpapi21.c
     687@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi21.lo -MD -MP -MF "$(DEPDIR)/glpapi21.Tpo" -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c; \
     688@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi21.Tpo" "$(DEPDIR)/glpapi21.Plo"; else rm -f "$(DEPDIR)/glpapi21.Tpo"; exit 1; fi
     689@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi21.c' object='glpapi21.lo' libtool=yes @AMDEPBACKSLASH@
     690@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     691@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi21.lo `test -f '$(GLPKDIR)/src/glpapi21.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi21.c
     692
    690693glpavl.lo: $(GLPKDIR)/src/glpavl.c
    691694@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    828831@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios09.lo `test -f '$(GLPKDIR)/src/glpios09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios09.c
    829832
     833glpios10.lo: $(GLPKDIR)/src/glpios10.c
     834@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpios10.lo -MD -MP -MF "$(DEPDIR)/glpios10.Tpo" -c -o glpios10.lo `test -f '$(GLPKDIR)/src/glpios10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios10.c; \
     835@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpios10.Tpo" "$(DEPDIR)/glpios10.Plo"; else rm -f "$(DEPDIR)/glpios10.Tpo"; exit 1; fi
     836@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpios10.c' object='glpios10.lo' libtool=yes @AMDEPBACKSLASH@
     837@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     838@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios10.lo `test -f '$(GLPKDIR)/src/glpios10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios10.c
     839
    830840glpipm.lo: $(GLPKDIR)/src/glpipm.c
    831841@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpipm.lo -MD -MP -MF "$(DEPDIR)/glpipm.Tpo" -c -o glpipm.lo `test -f '$(GLPKDIR)/src/glpipm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipm.c; \
     
    989999@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx05.lo `test -f '$(GLPKDIR)/src/glplpx05.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx05.c
    9901000
    991 glplpx06.lo: $(GLPKDIR)/src/glplpx06.c
    992 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx06.lo -MD -MP -MF "$(DEPDIR)/glplpx06.Tpo" -c -o glplpx06.lo `test -f '$(GLPKDIR)/src/glplpx06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx06.c; \
    993 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx06.Tpo" "$(DEPDIR)/glplpx06.Plo"; else rm -f "$(DEPDIR)/glplpx06.Tpo"; exit 1; fi
    994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx06.c' object='glplpx06.lo' libtool=yes @AMDEPBACKSLASH@
    995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    996 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx06.lo `test -f '$(GLPKDIR)/src/glplpx06.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx06.c
    997 
    998 glplpx07.lo: $(GLPKDIR)/src/glplpx07.c
    999 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx07.lo -MD -MP -MF "$(DEPDIR)/glplpx07.Tpo" -c -o glplpx07.lo `test -f '$(GLPKDIR)/src/glplpx07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx07.c; \
    1000 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx07.Tpo" "$(DEPDIR)/glplpx07.Plo"; else rm -f "$(DEPDIR)/glplpx07.Tpo"; exit 1; fi
    1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx07.c' object='glplpx07.lo' libtool=yes @AMDEPBACKSLASH@
    1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1003 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx07.lo `test -f '$(GLPKDIR)/src/glplpx07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx07.c
    1004 
    1005 glplpx08.lo: $(GLPKDIR)/src/glplpx08.c
    1006 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx08.lo -MD -MP -MF "$(DEPDIR)/glplpx08.Tpo" -c -o glplpx08.lo `test -f '$(GLPKDIR)/src/glplpx08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx08.c; \
    1007 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx08.Tpo" "$(DEPDIR)/glplpx08.Plo"; else rm -f "$(DEPDIR)/glplpx08.Tpo"; exit 1; fi
    1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx08.c' object='glplpx08.lo' libtool=yes @AMDEPBACKSLASH@
    1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1010 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx08.lo `test -f '$(GLPKDIR)/src/glplpx08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx08.c
    1011 
    1012 glplpx09.lo: $(GLPKDIR)/src/glplpx09.c
    1013 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx09.lo -MD -MP -MF "$(DEPDIR)/glplpx09.Tpo" -c -o glplpx09.lo `test -f '$(GLPKDIR)/src/glplpx09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx09.c; \
    1014 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx09.Tpo" "$(DEPDIR)/glplpx09.Plo"; else rm -f "$(DEPDIR)/glplpx09.Tpo"; exit 1; fi
    1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx09.c' object='glplpx09.lo' libtool=yes @AMDEPBACKSLASH@
    1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1017 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx09.lo `test -f '$(GLPKDIR)/src/glplpx09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx09.c
    1018 
    10191001glpluf.lo: $(GLPKDIR)/src/glpluf.c
    10201002@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    11431125@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c
    11441126
    1145 glppds.lo: $(GLPKDIR)/src/glppds.c
    1146 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glppds.lo -MD -MP -MF "$(DEPDIR)/glppds.Tpo" -c -o glppds.lo `test -f '$(GLPKDIR)/src/glppds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glppds.c; \
    1147 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glppds.Tpo" "$(DEPDIR)/glppds.Plo"; else rm -f "$(DEPDIR)/glppds.Tpo"; exit 1; fi
    1148 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glppds.c' object='glppds.lo' libtool=yes @AMDEPBACKSLASH@
    1149 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1150 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glppds.lo `test -f '$(GLPKDIR)/src/glppds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glppds.c
    1151 
    11521127glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    11531128@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    11981173@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    11991174@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscl.lo `test -f '$(GLPKDIR)/src/glpscl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscl.c
     1175
     1176glpsds.lo: $(GLPKDIR)/src/glpsds.c
     1177@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpsds.lo -MD -MP -MF "$(DEPDIR)/glpsds.Tpo" -c -o glpsds.lo `test -f '$(GLPKDIR)/src/glpsds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsds.c; \
     1178@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpsds.Tpo" "$(DEPDIR)/glpsds.Plo"; else rm -f "$(DEPDIR)/glpsds.Tpo"; exit 1; fi
     1179@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpsds.c' object='glpsds.lo' libtool=yes @AMDEPBACKSLASH@
     1180@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1181@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpsds.lo `test -f '$(GLPKDIR)/src/glpsds.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsds.c
    12001182
    12011183glpspm.lo: $(GLPKDIR)/src/glpspm.c
  • ThirdParty/Glpk/trunk/configure

    r1235 r1252  
    1010#
    1111#
    12 # Copyright 2007-2008 Stefan Vigerske and others.
     12# Copyright 2007-2009 Stefan Vigerske and others.
    1313# All Rights Reserved.
    1414# This file is part of the open source package Coin which is distributed
     
    12151215
    12161216
    1217 Copyright 2007-2008 Stefan Vigerske and others.
     1217Copyright 2007-2009 Stefan Vigerske and others.
    12181218All Rights Reserved.
    12191219This file is part of the open source package Coin which is distributed
     
    2008020080  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120081echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 36 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK\"" >&2;}
     20082  if test $majorver != 4 || test $minorver != 37 ; then
     20083    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK\"" >&5
     20084echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK\"" >&2;}
    2008520085   { (exit 1); exit 1; }; }
    2008620086  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1235 r1252  
    1414
    1515AC_COPYRIGHT([
    16 Copyright 2007-2008 Stefan Vigerske and others.
     16Copyright 2007-2009 Stefan Vigerske and others.
    1717All Rights Reserved.
    1818This file is part of the open source package Coin which is distributed
     
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 36 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.36. Please update by rerunning get.GLPK"])
     76  if test $majorver != 4 || test $minorver != 37 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.37. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1235 r1252  
    22
    33set -e
    4 glpk_ver=4.36
     4glpk_ver=4.37
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1231 r1252  
    11--- glpk/src/glplpx01.c.orig    2008-09-05 19:44:36.000000000 +0200
    22+++ glpk/src/glplpx01.c 2008-09-05 19:42:45.000000000 +0200
    3 @@ -382,7 +382,7 @@
     3@@ -381,7 +381,7 @@
    44       ret = glp_simplex(lp, &parm);
    55       switch (ret)
Note: See TracChangeset for help on using the changeset viewer.